package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUser;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[User] 服务对象接口
 */
public interface IUserClientService{

    public IUser createModel() ;

    public void remove(IUser user);

    public void create(IUser user);

    public void syncToUser(IUser user);

    public void checkKey(IUser user);

    public void get(IUser user);

    public void save(IUser user);

    public void getDraft(IUser user);

    public void update(IUser user);

    public Page<IUser> fetchDefault(SearchContext context);

}
